/*
		Animation.h

	
		Header file for Animation.m

		Created by Ian Howle on 6/7/2005.
		Public Domain.
*/




#import <Cocoa/Cocoa.h>



#define			ANIM_LOOP_INFINITE		-1


enum		// Animate forward, backward, or back and forth.
{
	ANIM_PLAY_FORWARD = -1,
	ANIM_PLAY_BACKWARD = 1,
	ANIM_PLAY_FORWARD_AND_BACKWARD
};



@interface Animation : NSObject
{
	NSTimer				*AnimTimer;
	id					FrameFlipTarget;
	SEL					FrameFlipActionMethod;
	id					AnimDoneTarget;
	SEL					AnimDoneActionMethod;
	
	int					FrameCount;
	int					StartFrame;
	int					EndFrame;
	int					AnimLoopCount;
	int					CurrentAnimLoop;
	int					AnimDir;
	int					CurrentAnimDir;
	int					IndexOfCurrentFrame;
}



// Instance methods...

- (void)setTargetForFrameFlip:(id)target action:(SEL)action;
- (void)setTargetForAnimDone:(id)target action:(SEL)action;
- (void)setAnimLoopCount:(int)animCount;
- (void)setAnimDir:(int)dir;
- (void)setNumOfFrames:(int)frameCount;
- (void)setFrameRangeFrom:(int)fromFrame to:(int)toFrame;
- (void)startAnimWithDelayBetweenFrames:(float)timeDelay;
- (void)animate:(NSTimer *)animTime;
- (void)stopAnim;
- (void)finishAnim;
- (BOOL)isAnimating;
- (int)currentFrame;



@end
