/*
		GameUtilities.h

	
		Header file for GameUtilities.m

		Created by Ian Howle on 3/12/2006.
		Public Domain.
*/




#import <Cocoa/Cocoa.h>



@interface GameUtilities : NSObject
{
}



// Class methods...

+ (float)pixelValueOfPercentage:(float)perc ofPixelLength:(float)pixelLength;
+ (float)percentageFromPixelValue:(float)pixelValue ofPixelsLength:(float)pixelLength;
+ (NSPoint)originOfRect:(NSRect)rect centeredInRect:(NSRect)inRect;
+ (float)xOriginOfRect:(NSRect)rect centeredVerticallyInRect:(NSRect)inRect;
+ (float)yOriginOfRect:(NSRect)rect centeredHorizontallyInRect:(NSRect)inRect;
+ (NSPoint)randomPointWithMinXValue:(float)minX maxXValue:(float)maxX minYValue:(float)minY maxYValue:(float)maxY;
+ (float)randomDirWithMaxValue:(float)maxValue allowZero:(BOOL)allowZero;
+ (NSPoint)randomDirsWithMaxHorizontalValue:(float)hVAlue maxVerticalValue:(float)vValue allowZero:(BOOL)allowZero;
+ (NSImage *)newMasterImageFromMasterImage:(NSImage *)masterImage leftFrames:(NSMutableArray *)leftFrames;
+ (NSString *)gameDirectory;
+ (NSString *)gamePath;



@end
