/*
		MyView.h

	
		Header file for MyView.m

		Created by Ian Howle on 2/21/2005.
		Public Domain.
*/




#import "GameSprite.h"



@interface MyView : NSView
{
	NSMutableArray			*SpriteList;		// This list of sprites that this class will control.
	NSImage					*BackgroundImage;
	NSTimer					*SpriteTimer;
	BOOL					CollisionFlag;
}



// Methods...

- (void)startSprites;
- (void)stopSprites;
- (BOOL)areSpritesActive;
- (BOOL)addSprite:(GameSprite *)theSprite;
- (void)removeSprite:(NSString *)name;
- (GameSprite *)spriteRef:(NSString *)name;
- (void)runSprites:(NSTimer *)timer;
- (void)checkSpriteCollision:(GameSprite *)theSprite;
- (void)setSpriteCollision:(BOOL)onOff;
- (IBAction)relayer:(id)sender;



@end
